# $Revision: 1.39 $, $Date: 2010/08/21 19:08:40 $
%include	/usr/lib/rpm/macros.php
%define		_class		Var_Dump
%define		_status		stable
%define		_pearname	%{_class}
Summary:	%{_pearname} - methods for dumping information about a variable
Summary(pl.UTF-8):	%{_pearname} - metody zrzucania informacji o zmiennych
Name:		php-pear-%{_pearname}
Version:	1.0.4
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	321be257dc68f515b64bb92ee0b9a1bb
URL:		http://pear.php.net/package/Var_Dump/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(pcre)
Requires:	php-common >= 3:4.0.4
Requires:	php-pcre
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Displays informations about the values of variables on a graphical
way:
- If given a simple variable (string, integer, double, ressource), the
  value itself is printed,
- If given an array, it is explored recursively and values are
  presented in a format that shows keys and elements,
- If given an object, informations about the object and the class are
  printed.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Wyświetla graficznie informacje o wartościach zmiennych:
- jeżeli dana jest prosta zmienna (string, integer, double, resource),
  sama wartość jest wypisywana,
- jeżeli dana jest tablica, przeszukiwana jest rekursywnie i wartości
  są prezentowane w formacie, który pokazuje klucze i elementy,
- jeżeli dany jest obiekt, informacje o obiekcie i klasie są
  wyświetlane.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/*.php
%{php_pear_dir}/%{_pearname}

%{php_pear_dir}/data/%{_pearname}

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Var_Dump.spec,v $
Revision 1.39  2010/08/21 19:08:40  glen
- updated deps with pearize.sh
- release 2

Revision 1.38  2010/08/20 13:10:41  glen
- updated to: 1.0.4

Revision 1.37  2008/01/31 12:16:50  glen
- rel 3

Revision 1.36  2007-02-12 22:09:11  glen
- tabs in preamble

Revision 1.35  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.34  2006/11/21 19:56:48  glen
- rel 2: use php(extension) virtuals

Revision 1.33  2006/05/23 20:18:15  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.32  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.31  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.30  2006/03/06 01:10:37  glen
- 1.0.3

Revision 1.29  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.28  2006/01/08 18:04:09  glen
- AutoReq: no for -tests

Revision 1.27  2005/11/20 16:26:25  glen
- rel 3

Revision 1.26  2005/10/27 19:22:29  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.25  2005/10/05 20:59:19  glen
- rel 2

Revision 1.24  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.23  2005/09/27 22:13:36  glen
- fix requires for -tests (typo)

Revision 1.22  2005/09/27 22:11:26  glen
- pl for -tests

Revision 1.21  2005/09/27 22:06:16  glen
- include epoch into tests subpackage requires

Revision 1.20  2005/09/19 21:43:40  glen
- integer BR

Revision 1.19  2005/09/19 17:26:46  glen
- use new pear packaging system

Revision 1.18  2005/02/19 21:01:55  adamg
- updated to 1.0.2

Revision 1.17  2004/12/04 22:57:49  adamg
- fixed %%install/%%files
- release 2

Revision 1.16  2004/11/24 16:04:04  adamg
- updated to 1.0.1

Revision 1.15  2004/10/31 21:53:11  paladine
- spaces->tabs
- formatting

Revision 1.14  2004/07/08 20:01:21  adamg
- updated to 1.0.0

Revision 1.13  2004/05/30 13:13:53  adamg
- fixed english information about status of the package

Revision 1.12  2004/05/01 17:18:49  adamg
- updated to 0.4.2
- status changed to alpha

Revision 1.11  2003/10/07 20:56:49  adamg
- do not use macros in URL

Revision 1.10  2003/08/31 20:49:11  adamg
- more specific URL

Revision 1.9  2003/08/31 10:40:27  adamg
- updated to 0.4

Revision 1.8  2003/06/03 20:43:57  adamg
- adapterized

Revision 1.7  2003/05/28 10:50:32  adamg
- massive manual attack: pear packages update

Revision 1.6  2003/05/28 08:58:49  adamg
- massive attack: added source0-md5

Revision 1.5  2003/05/25 06:25:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/02/16 19:37:01  blues
- added status info

Revision 1.3  2002/10/14 23:52:35  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.2  2002/09/18 10:47:17  blues
- 0.2 - fix in macros, STBR

Revision 1.1  2002/08/08 20:43:23  blues
- initial release; STBR

